Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.models.hmm.training
Class ViterbiParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.models.hmm.HMMTrainingParameterSet
              de.jstacs.models.hmm.training.MaxHMMTrainingParameterSet
                  de.jstacs.models.hmm.training.ViterbiParameterSet

All Implemented Interfaces:
  GalaxyConvertible, RangeIterator, Storable, Cloneable

    public class ViterbiParameterSet

extends MaxHMMTrainingParameterSet

This class implements an `ParameterSet` for the viterbi training of an `AbstractHMM`.

Author:
  Jens Keilwagen

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent, ranged`

Constructor Summary
`ViterbiParameterSet()` This is the empty constructor that can be used to fill the parameters after creation.
`ViterbiParameterSet(int starts, AbstractTerminationCondition tc)` This constructor can be used to create an instance with specified parameters.
`ViterbiParameterSet(StringBuffer xml)` The standard constructor for the interface `Storable`.

Method Summary
`boolean` | `hasDefaultOrIsSet()` Returns `true` if all parameters in this `ParameterSet` are either set by the user or have default values.

Methods inherited from class de.jstacs.models.hmm.training.MaxHMMTrainingParameterSet
`getTerminantionCondition, loadParameters`

Methods inherited from class de.jstacs.models.hmm.HMMTrainingParameterSet
`getNumberOfStarts`

Methods inherited from class de.jstacs.parameters.ParameterSet
`clone, fromGalaxy, fromXML, getErrorMessage, getId, getIndex, getNumberOfParameters, getNumberOfValues, getParameterAt, getParent, initParameterList, initParameterList, isAtomic, isRanged, makeRanged, next, parametersLoaded, propagateId, recieveId, replaceParametersWithRangedInstance, reset, resetToFirst, setParent, simplify, toGalaxy, toXML, valuesToString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViterbiParameterSet

    public ViterbiParameterSet()

  This is the empty constructor that can be used to fill the parameters after creation.

### ViterbiParameterSet

    public ViterbiParameterSet(int starts,
                               AbstractTerminationCondition tc)
                        throws Exception

  This constructor can be used to create an instance with specified parameters.

  Parameters:
    `starts` - the number of different starts
    `tc` - the termination condition for stopping the algorithm
  Throws:
    `Exception` - if the `ViterbiParameterSet` could not be created

### ViterbiParameterSet

    public ViterbiParameterSet(StringBuffer xml)
                        throws NonParsableException

  The standard constructor for the interface `Storable`. Constructs a `ViterbiParameterSet` out of an XML representation.

  Parameters:
    `xml` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `ViterbiParameterSet` could not be reconstructed out of the `StringBuffer` `xml`

Method Detail

### hasDefaultOrIsSet

    public boolean hasDefaultOrIsSet()

  Description copied from class: `ParameterSet`
  Returns `true` if all parameters in this `ParameterSet` are either set by the user or have default values. If any additional constraints are required on your parameters you should either specify some `ParameterValidator` on these parameters or implement these constraints by overriding this method in your implementation of `ParameterSet`. It is recommended to specify a useful remark which constraint failed in the member-variable `errorMessage`, which will be displayed to the user. In the overriding method `super.``ParameterSet.hasDefaultOrIsSet()` should be called prior to checking specific constraints.

  Overrides:
    `hasDefaultOrIsSet` in class `ParameterSet`
  Returns:
    `true` if all parameters have some allowed value set, `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD